GuiCommand: Name: TechDraw LeaderLine MenuLocation: TechDraw , Add Lines , Add Leaderline to View Workbenches: TechDraw_Workbench Version: 0.19 SeeAlso: TechDraw_RichTextAnnotation, TechDraw_WeldSymbol
TechDraw LeaderLine
Description
The TechDraw LeaderLine tool adds a line to a View. Other annotation objects (such as Rich Text Annotations) can be connected to the leaderline to form complex annotations.
Leaderline added to a View
Usage create
- Select a View.
- There are several ways to invoke the tool:
- Press the
Add Leaderline to View button.
- Select the TechDraw → Add Lines →
Add Leaderline to View option from the menu.
- Press the
- A task panel opens.
- Press the Pick points button.
- Pick the first point on the page to define the start point of the line.
- Pick the next point on the page. Hold down Ctrl to snap to multiples of 22.5° angles. Optionally use a double-click instead of a single-click to finish entering points.
- Optionally add more points.
- If you have not double-clicked a point: press the Save Points button.
- Optionally change the Start Symbol, End Symbol, Color, Width and Style of the leader. See Properties for more information.
- Press the OK button.
Usage edit
- Double-click a Leaderline in the Tree view.
- A task panel opens.
- To edit the points:
- Press the Edit points button.
- The Leaderline is marked with temporary nodes.
- Drag one or more of the nodes to a new position.
- Press the Save changes button.
- Optionally change the Start Symbol, End Symbol, Color, Width and Style of the leader. See Properties for more information.
- Press the OK button.
Notes
- You cannot add or remove points from an existing Leaderline.
- If no points were specified at creation time a short line is placed at the center of the View. There is no way to fix such a line, it should be deleted.
- By default the Leader Line Auto Horizontal preference is checked. This means that the last line segment of new Leaderlines is drawn horizontally. If there is only one segment the result is then a single horizontal line.
- You can turn off this auto horizontal feature for existing Leaderlines by changing their Auto Horizontal property.
Properties
Data
{{Properties_Title|Base}}
-
Start Symbol|Enumeration: The symbol at the start of the leaderline. Options:
Filled Arrow,
Open Arrow,
Tick,
Dot,
Open Circle,
Fork,
Filled Triangle, None.
-
End Symbol|Enumeration: The symbol at the end of the leaderline. Idem.
-
X|Distance: The X coordinate of the leaderline relative to the View.
-
Y|Distance: The Y coordinate of the leaderline relative to the View.
{{Properties_Title|Leader}}
-
Leader Parent|Link: The View the leaderline is attached to.
-
Way Points|VectorList: The points of the leaderline.
-
Scalable|Bool: Specifies if the leaderline scales with Leader Parent.
-
Auto Horizontal|Bool: Specifies if the last leaderline segment is forced to be horizontal.
View
{{TitleProperty|Base}}
-
Keep Label|Bool: Not used.
-
Stack Order|Integer: Over or underlap relative to other drawing objects. (v0.21)
{{TitleProperty|Line Format}}
-
Color|Color: The color of the leaderline.
-
Line Style|Enumeration: The style of the leaderline. Options: NoLine,
Continuous,
Dash,
Dot,
DashDot,
DashDotDot.
-
Line Width|Length: The width of the leaderline.
Scripting
See also: Autogenerated API documentation and FreeCAD Scripting Basics.
The LeaderLine tool can be used in macros and from the Python console by using the following functions:
myPage = FreeCAD.ActiveDocument().Page
myBase = FreeCAD.ActiveDocument().View
leaderObj = FreeCAD.ActiveDocument.addObject('TechDraw::DrawLeaderLine','DrawLeaderLine')
FreeCAD.activeDocument().myPage.addView(leaderObj)
FreeCAD.activeDocument().leaderObj.LeaderParent = myBase
#first waypoint is always (0,0,0)
#rest of waypoints are positions relative to (0,0,0)
leaderObj.WayPoints = [p0,p1,p2]
leaderObj.X = 5
leaderObj.Y = 5
{{TechDraw Tools navi}}
⏵ documentation index > TechDraw > TechDraw LeaderLine
This page is retrieved from https://github.com/FreeCAD/FreeCAD-documentation/blob/main/wiki/TechDraw_LeaderLine.md